Download it now!
Bug 65430 - [Template manager][UI] Double click does not open a template found by search function
Summary: [Template manager][UI] Double click does not open a template found by search ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Jorendc
URL:
Whiteboard: BSA target:4.3.0 target:4.1.6 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-05 19:51 UTC by Reinhard Lamsfuss
Modified: 2014-02-10 17:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Reinhard Lamsfuss 2013-06-05 19:51:16 UTC
Problem description: 

Steps to reproduce:
1. open Template Manager....
2. use search templates to search among templates
3. try to use the searched template by doble clicking

Current behavior: template does not react

Expected behavior: a new file based on the template opens

              
Operating System: Ubuntu
Version: 4.0.0.0.alpha0+ Master
Last worked in: 3.6.6.2 release
Comment 1 Reinhard Lamsfuss 2013-06-05 20:08:15 UTC
this bug nearly invalidates the template manager as conducting a search makes impossible working on the templates after. They only can be viewed, which is of reduced utility.
Comment 2 Cor Nouws 2013-06-05 21:35:25 UTC
Hi Reinhard,
Thanks for reporting ... but can you pls try a recent version of LibreOffice. e.g. 4.0.3 or 4.0.4RC1 ?
I'm quite sure that this issue is fixed in the mean time.

And if you can leave a note here, would be great :)
Regards,
Cor
Comment 3 Reinhard Lamsfuss 2013-06-05 21:43:21 UTC
sorry, my fault, version is: Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)
Comment 4 Reinhard Lamsfuss 2013-06-05 22:04:33 UTC
 Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

Bug observed from 4.0.0.0 on.
Comment 5 peter.geerds 2013-06-06 03:36:18 UTC
It's the same in
Version 4.0.4.1 (Build ID: 7fdd5ee61c1c7379dd088f5d50265f0adbccf53)
(Linux, 64bit)
Comment 6 Cor Nouws 2013-06-06 07:38:19 UTC
Hi guys,
Sorry, my fault that I didn't check well enough. Apologies.

Set the version back to the older one - must have started somewhere there.

A pity that it doesn't work, bause the search function is very nice :)
Comment 7 Cor Nouws 2013-06-06 07:40:26 UTC
@reinhard:
(In reply to comment #0)
> Last worked in: 3.6.6.2 release

You're sure there was a search function in template stuff?
Comment 8 Reinhard Lamsfuss 2013-06-06 10:15:01 UTC
(In reply to comment #7)
> @reinhard:
> (In reply to comment #0)
> > Last worked in: 3.6.6.2 release
> 
> You're sure there was a search function in template stuff?

Sorry, you're right. I meant that the template manager worked flawflessly in that version, although with lesser features. Problem seems to have appeared with the new manager.
Comment 9 Reinhard Lamsfuss 2013-06-06 10:19:15 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > @reinhard:
> > (In reply to comment #0)
> > > Last worked in: 3.6.6.2 release
> > 
> > You're sure there was a search function in template stuff?
> 
> Sorry, you're right. I meant that the template manager worked flawflessly in
> that version, although with lesser features. Problem seems to have appeared
> with the new manager.

BTW, and excuse me please for the pedantery, but there DOES exist a search function in the Version 3.6.6.2 (Build ID: f969faf) template manager: in the display list you just type the first letter of the template file you are looking for and it will appear. Rather handy.
Comment 10 linux 2013-07-09 14:35:46 UTC
(In reply to comment #0)
> Problem description: 
> 
> Steps to reproduce:
> 1. open Template Manager....
> 2. use search templates to search among templates
> 3. try to use the searched template by doble clicking
> 
> Current behavior: template does not react
> 
> Expected behavior: a new file based on the template opens
> 
>               
> Operating System: Ubuntu
> Version: 4.0.0.0.alpha0+ Master
> Last worked in: 3.6.6.2 release

Hi there,
it is not possible to change a template in libreoffice writer version 4.0.4.2, linux mint maya 13. There is no menue under "files" to change templates. Who knows, where templates are stored in linux?? It was saved in the previous version 3 under /home/username/share/templates/ in a hidden directory. Now I can't find *.ott files in the system.
Please fix this bug, it is essential. Tanx
Tom
Comment 11 Cédric Bosdonnat 2014-01-20 08:57:03 UTC
Restricted my LibreOffice hacking area
Comment 12 Cor Nouws 2014-02-03 21:55:27 UTC
changing summary
Of course the found template can be opened by using the buttons...
But all actions (mouse, Enter) in the list with templates are ineffective ..
Comment 13 Jorendc 2014-02-07 14:13:03 UTC
Taking + fix in review: https://gerrit.libreoffice.org/#/c/7918/
Comment 14 Commit Notification 2014-02-07 15:08:21 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96e7225260aac0815643a4043f4ddb4e6b5764a1

fdo#65430 add OnItemDblClicked and setOpenTemplateHdl in templateSearchView



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Jorendc 2014-02-07 15:33:12 UTC
lets mark this one as RESOLVED FIXED. Will have a try to backport the fixes
Comment 16 Commit Notification 2014-02-07 20:15:48 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=497a36366efece255303a82f6ea0c96677f3ae9f&h=libreoffice-4-1

fdo#65430 add OnItemDblClicked and setOpenTemplateHdl in templateSearchView


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-02-07 20:16:04 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af32163ce76cf1fb2087486f0dff03f3d45ab548&h=libreoffice-4-2

fdo#65430 add OnItemDblClicked and setOpenTemplateHdl in templateSearchView


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-02-10 16:54:57 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d041e05d3bacc32532dc716e677688e1c71bb2d

related fdo#65430: forgot to 'unlink' setOpenTemplateHdl



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2014-02-10 16:57:18 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b81559c7a271e130500380a455cddfa841752c3&h=libreoffice-4-2

related fdo#65430: forgot to 'unlink' setOpenTemplateHdl


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2014-02-10 17:00:49 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02aa4f5d3110001da5514d5a308ba77f1b7dd421&h=libreoffice-4-1

related fdo#65430: forgot to 'unlink' setOpenTemplateHdl


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.